Create Agent
curl --request POST \
--url https://api.boostgpt.co/v1/bot/create \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"project_id": "<string>",
"name": "<string>",
"model": "<string>",
"instruction": "<string>"
}
'import requests
url = "https://api.boostgpt.co/v1/bot/create"
payload = {
"project_id": "<string>",
"name": "<string>",
"model": "<string>",
"instruction": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
project_id: '<string>',
name: '<string>',
model: '<string>',
instruction: '<string>'
})
};
fetch('https://api.boostgpt.co/v1/bot/create', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"bot": {
"id": "<string>",
"uuid": "<string>",
"subdomain": "<string>",
"provider_key": "<string>",
"avatar": "<string>",
"name": "<string>",
"model": "<string>",
"reasoning_type": "<string>",
"max_reply_tokens": "<string>",
"top": 123,
"instruction": "<string>",
"ratelimit_message": "<string>",
"ratelimit_seconds": 123,
"ratelimit_requests": 123,
"no_answer_reply": "<string>",
"require_login": 123,
"memory": 123,
"heartbeat": 123,
"hide_branding": 123,
"branding": {
"seo": {
"title": "<string>",
"keywords": "<string>",
"description": "<string>"
},
"logo": {
"url": "<string>",
"enabled": true
},
"theme": "<string>",
"favicon": {
"url": "<string>",
"enabled": true
},
"tagline": {
"content": "<string>",
"enabled": true
},
"navigation": {
"links": [
{}
],
"enabled": true
},
"description": {
"content": "<string>",
"enabled": true
},
"placeholder": "<string>",
"accent_color": "<string>",
"background_color": "<string>",
"message_greetings": {
"enabled": true,
"greetings": [
"<string>"
]
},
"conversation_starters": {
"enabled": true,
"prompts": [
"<string>"
]
}
},
"status": 123,
"active_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"integrations": [
{}
],
"avatar_link": "<string>",
"domain": "<string>"
}
}{
"error": "<string>",
"code": "<string>"
}Agent
Create Agent
Create a new AI agent
POST
/
v1
/
bot
/
create
Create Agent
Authorizations
Enter your API key
Body
application/json
Response
Agent created successfully
Complete agent details (for Create/Read operations)
Agent/Bot object (used in list responses)
Show child attributes
Show child attributes
Was this page helpful?
⌘I